require('ds18b20')

-- ESP-01 GPIO Mapping
gpio02 = 4
--gpio02 is on pin 4, gpio0 is on pin 3. See https://github.com/nodemcu/nodemcu-firmware for pinout of ESP8266

ds18b20.setup(gpio02)
addrs=ds18b20.addrs()


function SendDataSensor1()

--t1=ds18b20.read()
t1=""
t1=string.format("%.1f", ds18b20.read(addrs[1],ds18b20.C))
print("")
print("Temp:"..t1.." C")

print("Sending idx55 to Domoticz")
conn=net.createConnection(net.TCP, 0) 
conn:on("receive", function(conn, payload) print(payload) end)
conn:connect(8084,"192.168.4.4") --Change to the IP and port of your Domoticz install
conn:send("GET /json.htm?type=command&param=udevice&idx=55&nvalue=0&svalue="..t1.." HTTP/1.1\r\n") --Change to the IDX of the first sensor you made in your Domoticz install
conn:send("Host: 192.168.4.4:8084\r\n") --Change to the IP and port of your Domoticz install
conn:send("Connection: keep-alive\r\nAccept: */*\r\n") 
conn:send("User-Agent: Mozilla/4.0 (compatible; esp8266 Lua; Windows NT 5.1)\r\n")
conn:send("\r\n")
conn:on("sent",function(conn)
                      print("Closing connection")
                      conn:close()
                  end)
conn:on("disconnection", function(conn)
          print("Got disconnection...")
          print(node.heap())
          SendDataSensor2()
  end)
 
  
end

function SendDataSensor2()

--t1=ds18b20.read()
t2=""
t2=string.format("%.1f", ds18b20.read(addrs[2],ds18b20.C))
print("")
print("Temp:"..t2.." C")


print("Sending idx56 to Domoticz")
conn=net.createConnection(net.TCP, 0) 
conn:on("receive", function(conn, payload) print(payload) end)
conn:connect(8084,"192.168.4.4") --Change to the IP and port of your Domoticz install
conn:send("GET /json.htm?type=command&param=udevice&idx=56&nvalue=0&svalue="..t2.." HTTP/1.1\r\n") --Change to the IDX of the second sensor you made in your Domoticz install
conn:send("Host: 192.168.4.4:8084\r\n") --Change to the IP and port of your Domoticz install
conn:send("Connection: keep-alive\r\nAccept: */*\r\n") 
conn:send("User-Agent: Mozilla/4.0 (compatible; esp8266 Lua; Windows NT 5.1)\r\n")
conn:send("\r\n")
conn:on("sent",function(conn)
                      print("Closing connection")
                      conn:close()
                  end)
conn:on("disconnection", function(conn)
          print("Got disconnection...")
          print(node.heap())
          
  end)
 
  
end
-- send data every 60 seconds to Domoticz. 
tmr.alarm(0, 60000, 1, function() SendDataSensor1() end )